import request from '@/utils/request'

export function list(query) {
  return request({
    url: '/course/playSourceConfig/list',
    method: 'get',
    params: query
  })
}

export function get(id) {
  return request({
    url: '/course/playSourceConfig/' + id,
    method: 'get'
  })
}

export function add(data) {
  return request({
    url: '/course/playSourceConfig',
    method: 'post',
    data: data
  })
}

export function update(data) {
  return request({
    url: '/course/playSourceConfig',
    method: 'put',
    data: data
  })
}

export function del(id) {
  return request({
    url: '/course/playSourceConfig/' + id,
    method: 'delete'
  })
}

export function updateIsTownOn(query) {
  return request({
    url: '/course/playSourceConfig/updateIsTownOn',
    method: 'get',
    params: query
  })
}
